summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author core2010-05-11 20:00:05 +0200
committer Michiel van Wessem2010-05-11 20:00:05 +0200
commitb76f831e4145e3980bbea90b02c0a3fbf72fb113 (patch)
tree1f091f913fc7222c2b02a497ede5ffbed026ec10 /desktop
parent8b8b94875a68e12ca21bf0523685e742b1429761 (diff)
downloadslackbuilds-b76f831e4145e3980bbea90b02c0a3fbf72fb113.tar.gz
desktop/cylonminimal: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/cylonminimal/README4
-rw-r--r--desktop/cylonminimal/cylonminimal.SlackBuild76
-rw-r--r--desktop/cylonminimal/cylonminimal.info8
-rw-r--r--desktop/cylonminimal/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/desktop/cylonminimal/README b/desktop/cylonminimal/README
new file mode 100644
index 0000000000..616a645e26
--- /dev/null
+++ b/desktop/cylonminimal/README
@@ -0,0 +1,4 @@
+CylonMinimal - a Window Decoration for KDE 3.5.*
+
+CylonMinimal is a windeco inspired by the Cylons of the
+new 'Battlestar Galactica' - Series, created by Ron Moore.
diff --git a/desktop/cylonminimal/cylonminimal.SlackBuild b/desktop/cylonminimal/cylonminimal.SlackBuild
new file mode 100644
index 0000000000..86379a2a1d
--- /dev/null
+++ b/desktop/cylonminimal/cylonminimal.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for cylonminimal
+
+# Written by core (eroc@linuxmail.org)
+
+set -e
+
+PRGNAM=cylonminimal
+VERSION=0.1
+VERSIONALT=01
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/*-$PRGNAM-$VERSIONALT.tar.gz
+
+# This tarball lets 3 files under $TMP, so we're gonna
+# move them in to the sourcecode dir to have a clean $TMP
+# note: there's a README in $PRGNAM-$VERSION too, but without
+# any difference betwen them.
+mv $TMP/README $PRGNAM-$VERSION
+# note: this files are gonna be integrate in the final package.
+mv $TMP/CylonOS.kcsrc $PRGNAM-$VERSION
+mv $TMP/cylon.qtcurve $PRGNAM-$VERSION
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=`kde-config --prefix` || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --enable-shared=yes \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Integrate the color schemes
+mkdir -p $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/
+cat CylonOS.kcsrc > $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/CylonOS.kcsrc
+mkdir -p $PKG/$KDEPREF/share/apps/QtCurve/
+cat cylon.qtcurve > $PKG/$KDEPREF/share/apps/QtCurve/cylon.qtcurve
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/cylonminimal/cylonminimal.info b/desktop/cylonminimal/cylonminimal.info
new file mode 100644
index 0000000000..dbe605f7ed
--- /dev/null
+++ b/desktop/cylonminimal/cylonminimal.info
@@ -0,0 +1,8 @@
+PRGNAM="cylonminimal"
+VERSION="0.1"
+HOMEPAGE="http://tinyurl.com/3528ss"
+DOWNLOAD="http://www.kde-look.org/CONTENT/content-files/51993-cylonminimal-01.tar.gz"
+MD5SUM="032ce5861317a8fbad5617a48e493829"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="BP{k}"
diff --git a/desktop/cylonminimal/slack-desc b/desktop/cylonminimal/slack-desc
new file mode 100644
index 0000000000..267eb1e9bc
--- /dev/null
+++ b/desktop/cylonminimal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cylonminimal: CylonMinimal (a Window Decoration for KDE 3.5.*)
+cylonminimal:
+cylonminimal: CylonMinimal is a windeco inspired by the Cylons of the
+cylonminimal: new 'Battlestar Galactica' - Series, created by Ron Moore.
+cylonminimal:
+cylonminimal: Homepage: http://tinyurl.com/3528ss
+cylonminimal:
+cylonminimal:
+cylonminimal:
+cylonminimal:
+cylonminimal: